Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.impl
[Java] Class StaticMDCBinder

    java.lang.Object
      org.slf4j.impl.StaticMDCBinder

    public class StaticMDCBinder

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static StaticMDCBinder` | `SINGLETON` The unique instance of this class.

Method Summary
`org.slf4j.spi.MDCAdapter` | `getMDCA()` Currently this method always returns an instance of StaticMDCBinder.
`java.lang.String` | `getMDCAdapterClassStr()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### SINGLETON

    public static final StaticMDCBinder SINGLETON

  The unique instance of this class.

Method Detail

### getMDCA

    public org.slf4j.spi.MDCAdapter getMDCA()

  Currently this method always returns an instance of StaticMDCBinder.

### getMDCAdapterClassStr

    public java.lang.String getMDCAdapterClassStr()

Groovy Documentation